# MQTT Topics

Topics prefixed with `homeassistant/` are used when the `home-assistant` configuration `enabled` option in the configuration file,
or the `SIGENERGY2MQTT_HASS_ENABLED` environment variable, are set to true, or the `--hass-enabled` command line option is specified.
Otherwise, the topics prefixed with `sigenergy2mqtt/` are used.

The number after the `sigen_` prefix represents the host index from the configuration file, starting from 0. (Home Assistant configuration may change the `sigen` topic prefix.)
Inverter, AC Charger and DC Charger indexes use the device address (slave ID) as specified in the configuration file.

Scan Intervals are shown in seconds. Intervals for derived sensors are dependent on the source sensors.

## Published Topics

### Plant
| Sensor Class | Interval | Unit | Gain | State Topic | Source | Applicable To |
|--------------|---------:|------|-----:|-------------|--------|---------------|
| SystemTime | 60s |  | 1 | sigenergy2mqtt/sigen_0_plant_system_time/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_system_time/state |Modbus Register 30000 ||
| SystemTimeZone | 600s |  | 1 | sigenergy2mqtt/sigen_0_plant_system_time_zone/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_system_time_zone/state |Modbus Register 30002 ||
| EMSWorkMode | 10s |  | 1 | sigenergy2mqtt/sigen_0_plant_ems_work_mode/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_ems_work_mode/state |Modbus Register 30003 ||
| MaxActivePower | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_max_active_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_max_active_power/state |Modbus Register 30010 ||
| MaxApparentPower | 600s | kvar | 1000 | sigenergy2mqtt/sigen_0_plant_max_apparent_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_max_apparent_power/state |Modbus Register 30012 ||
| PlantBatterySoC | 60s | % | 10 | sigenergy2mqtt/sigen_0_plant_battery_soc/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_battery_soc/state |Modbus Register 30014 ||
| PlantPhaseAActivePower | 10s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_phase_a_active_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_phase_a_active_power/state |Modbus Register 30015 ||
| PlantPhaseAReactivePower | 10s | kvar | 1000 | sigenergy2mqtt/sigen_0_plant_phase_a_reactive_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_phase_a_reactive_power/state |Modbus Register 30021 ||
| PlantPhaseBActivePower | 10s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_phase_b_active_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_phase_b_active_power/state |Modbus Register 30017 ||
| PlantPhaseBReactivePower | 10s | kvar | 1000 | sigenergy2mqtt/sigen_0_plant_phase_b_reactive_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_phase_b_reactive_power/state |Modbus Register 30023 ||
| PlantPhaseCActivePower | 10s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_phase_c_active_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_phase_c_active_power/state |Modbus Register 30019 ||
| PlantPhaseCReactivePower | 10s | kvar | 1000 | sigenergy2mqtt/sigen_0_plant_phase_c_reactive_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_phase_c_reactive_power/state |Modbus Register 30025 ||
| GeneralPCSAlarm | 10s |  | 1 | sigenergy2mqtt/sigen_0_general_pcs_alarm/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_general_pcs_alarm/state |Modbus Registers 30027 and 30028||
| GeneralAlarm3 | 10s |  | 1 | sigenergy2mqtt/sigen_0_general_alarm_3/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_general_alarm_3/state |Modbus Register 30029 ||
| GeneralAlarm4 | 10s |  | 1 | sigenergy2mqtt/sigen_0_general_alarm_4/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_general_alarm_4/state |Modbus Register 30030 ||
| GeneralAlarm5 | 10s |  | 1 | sigenergy2mqtt/sigen_0_general_alarm_5/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_general_alarm_5/state |Modbus Register 30072 ||
| PlantActivePower | 5s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_active_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_active_power/state |Modbus Register 30031 ||
| PlantReactivePower | 10s | kvar | 1000 | sigenergy2mqtt/sigen_0_plant_reactive_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_reactive_power/state |Modbus Register 30033 ||
| PlantPVPower | 5s | W | 1 | sigenergy2mqtt/sigen_0_plant_pv_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_pv_power/state |Modbus Register 30035 ||
| TotalPVPower || W | 1 | sigenergy2mqtt/sigen_0_total_pv_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_total_pv_power/state |PlantPVPower &plus; &sum; of all configured SmartPort MQTT sources and SmartPort modules||
| PlantConsumedPower || W | 1 | sigenergy2mqtt/sigen_0_consumed_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_consumed_power/state |(either PlantPVPower _or_ TotalPVPower) &plus; GridSensorActivePower &minus; BatteryPower||
| PlantLifetimeConsumedEnergy || kWh | 1000 | sigenergy2mqtt/sigen_0_lifetime_consumed_energy/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_lifetime_consumed_energy/state |Riemann &sum; of PlantConsumedPower||
| PlantDailyConsumedEnergy || kWh | 1000 | sigenergy2mqtt/sigen_0_daily_consumed_energy/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_daily_consumed_energy/state |PlantLifetimeConsumedEnergy &minus; PlantLifetimeConsumedEnergy at last midnight||
| PlantLifetimePVEnergy || kWh | 1000 | sigenergy2mqtt/sigen_0_lifetime_pv_energy/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_lifetime_pv_energy/state |Riemann &sum; of (either PlantPVPower _or_ TotalPVPower)||
| PlantDailyPVEnergy || kWh | 1000 | sigenergy2mqtt/sigen_0_daily_pv_energy/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_daily_pv_energy/state |PlantLifetimePVEnergy &minus; PlantLifetimePVEnergy at last midnight||
| BatteryPower | 5s | W | 1 | sigenergy2mqtt/sigen_0_plant_battery_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_battery_power/state |Modbus Register 30037 ||
| BatteryChargingPower || W | 1 | sigenergy2mqtt/sigen_0_battery_charging_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_battery_charging_power/state |BatteryPower &gt; 0||
| BatteryDischargingPower || W | 1 | sigenergy2mqtt/sigen_0_battery_discharging_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_battery_discharging_power/state |BatteryPower &lt; 0||
| AvailableMaxActivePower | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_available_max_active_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_available_max_active_power/state |Modbus Register 30039 ||
| AvailableMinActivePower | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_available_min_active_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_available_min_active_power/state |Modbus Register 30041 ||
| AvailableMaxReactivePower | 600s | kvar | 1000 | sigenergy2mqtt/sigen_0_plant_available_max_reactive_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_available_max_reactive_power/state |Modbus Register 30043 ||
| AvailableMinReactivePower | 600s | kvar | 1000 | sigenergy2mqtt/sigen_0_plant_available_min_reactive_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_available_min_reactive_power/state |Modbus Register 30045 ||
| AvailableMaxChargingPower | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_available_max_charging_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_available_max_charging_power/state |Modbus Register 30047 ||
| AvailableMaxDischargingPower | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_available_max_discharging_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_available_max_discharging_power/state |Modbus Register 30049 ||
| PlantRunningState | 10s |  | 1 | sigenergy2mqtt/sigen_0_plant_running_state/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_running_state/state |Modbus Register 30051 ||
| AvailableMaxChargingCapacity | 60s | kWh | 100 | sigenergy2mqtt/sigen_0_plant_available_max_charging_capacity/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_available_max_charging_capacity/state |Modbus Register 30064 ||
| AvailableMaxDischargingCapacity | 60s | kWh | 100 | sigenergy2mqtt/sigen_0_plant_available_max_discharging_capacity/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_available_max_discharging_capacity/state |Modbus Register 30066 ||
| PlantRatedChargingPower | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_rated_charging_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_rated_charging_power/state |Modbus Register 30068 ||
| PlantRatedDischargingPower | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_rated_discharging_power/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_rated_discharging_power/state |Modbus Register 30070 ||
| PlantRatedEnergyCapacity | 600s | kWh | 100 | sigenergy2mqtt/sigen_0_plant_rated_energy_capacity/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_rated_energy_capacity/state |Modbus Register 30083 ||
| ChargeCutOffSoC | 60s | % | 10 | sigenergy2mqtt/sigen_0_plant_charge_cut_off_soc/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_charge_cut_off_soc/state |Modbus Register 30085 ||
| DischargeCutOffSoC | 60s | % | 10 | sigenergy2mqtt/sigen_0_plant_discharge_cut_off_soc/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_discharge_cut_off_soc/state |Modbus Register 30086 ||
| PlantBatterySoH | 60s | % | 10 | sigenergy2mqtt/sigen_0_plant_battery_soh/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_plant_battery_soh/state |Modbus Register 30087 ||
| RemoteEMS | 10s |  | 1 | sigenergy2mqtt/sigen_0_plant_remote_ems/state <br/> homeassistant/switch/sigen_0_247_powerplant/sigen_0_plant_remote_ems/state |Modbus Register 40029 ||
| RemoteEMSControlMode | 60s |  | 1 | sigenergy2mqtt/sigen_0_plant_remote_ems_control_mode/state <br/> homeassistant/select/sigen_0_247_powerplant/sigen_0_plant_remote_ems_control_mode/state |Modbus Register 40031 ||
| ActivePowerFixedAdjustmentTargetValue | 60s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_active_power_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_active_power_fixed_adjustment_target_value/state |Modbus Register 40001 ||
| ReactivePowerFixedAdjustmentTargetValue | 60s | kvar | 1000 | sigenergy2mqtt/sigen_0_plant_reactive_power_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_reactive_power_fixed_adjustment_target_value/state |Modbus Register 40003 ||
| ActivePowerPercentageAdjustmentTargetValue | 60s | % | 100 | sigenergy2mqtt/sigen_0_plant_active_power_percentage_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_active_power_percentage_adjustment_target_value/state |Modbus Register 40005 ||
| QSAdjustmentTargetValue | 60s | % | 100 | sigenergy2mqtt/sigen_0_plant_q_s_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_q_s_adjustment_target_value/state |Modbus Register 40006 ||
| PowerFactorAdjustmentTargetValue | 60s |  | 1000 | sigenergy2mqtt/sigen_0_plant_power_factor_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_power_factor_adjustment_target_value/state |Modbus Register 40007 ||
| PhaseAActivePowerFixedAdjustmentTargetValue | 60s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_phase_a_active_power_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_a_active_power_fixed_adjustment_target_value/state |Modbus Register 40008 ||
| PhaseAReactivePowerFixedAdjustmentTargetValue | 60s | kvar | 1000 | sigenergy2mqtt/sigen_0_plant_phase_a_reactive_power_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_a_reactive_power_fixed_adjustment_target_value/state |Modbus Register 40014 ||
| PhaseAActivePowerPercentageAdjustmentTargetValue | 60s | % | 100 | sigenergy2mqtt/sigen_0_plant_phase_a_active_power_percentage_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_a_active_power_percentage_adjustment_target_value/state |Modbus Register 40020 ||
| PhaseAQSAdjustmentTargetValue | 60s | % | 100 | sigenergy2mqtt/sigen_0_plant_phase_a_q_s_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_a_q_s_fixed_adjustment_target_value/state |Modbus Register 40023 ||
| PhaseBActivePowerFixedAdjustmentTargetValue | 60s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_phase_b_active_power_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_b_active_power_fixed_adjustment_target_value/state |Modbus Register 40010 ||
| PhaseBReactivePowerFixedAdjustmentTargetValue | 60s | kvar | 1000 | sigenergy2mqtt/sigen_0_plant_phase_b_reactive_power_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_b_reactive_power_fixed_adjustment_target_value/state |Modbus Register 40016 ||
| PhaseBActivePowerPercentageAdjustmentTargetValue | 60s | % | 100 | sigenergy2mqtt/sigen_0_plant_phase_b_active_power_percentage_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_b_active_power_percentage_adjustment_target_value/state |Modbus Register 40021 ||
| PhaseBQSAdjustmentTargetValue | 60s | % | 100 | sigenergy2mqtt/sigen_0_plant_phase_b_q_s_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_b_q_s_fixed_adjustment_target_value/state |Modbus Register 40024 ||
| PhaseCActivePowerFixedAdjustmentTargetValue | 60s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_phase_c_active_power_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_c_active_power_fixed_adjustment_target_value/state |Modbus Register 40012 ||
| PhaseCReactivePowerFixedAdjustmentTargetValue | 60s | kvar | 1000 | sigenergy2mqtt/sigen_0_plant_phase_c_reactive_power_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_c_reactive_power_fixed_adjustment_target_value/state |Modbus Register 40018 ||
| PhaseCActivePowerPercentageAdjustmentTargetValue | 60s | % | 100 | sigenergy2mqtt/sigen_0_plant_phase_c_active_power_percentage_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_c_active_power_percentage_adjustment_target_value/state |Modbus Register 40022 ||
| PhaseCQSAdjustmentTargetValue | 60s | % | 100 | sigenergy2mqtt/sigen_0_plant_phase_c_q_s_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_c_q_s_fixed_adjustment_target_value/state |Modbus Register 40025 ||
| IndependentPhasePowerControl | 60s |  | 1 | sigenergy2mqtt/sigen_0_plant_independent_phase_power_control/state <br/> homeassistant/switch/sigen_0_247_powerplant/sigen_0_plant_independent_phase_power_control/state |Modbus Register 40030 ||
| MaxChargingLimit | 10s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_max_charging_limit/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_max_charging_limit/state |Modbus Register 40032 ||
| MaxDischargingLimit | 10s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_max_discharging_limit/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_max_discharging_limit/state |Modbus Register 40034 ||
| PVMaxPowerLimit | 10s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_pv_max_power_limit/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_pv_max_power_limit/state |Modbus Register 40036 ||
| GridMaxExportLimit | 10s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_grid_max_export_limit/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_grid_max_export_limit/state |Modbus Register 40038 ||
| GridMaxImportLimit | 10s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_grid_max_import_limit/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_grid_max_import_limit/state |Modbus Register 40040 ||
| PCSMaxExportLimit | 10s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_pcs_max_export_limit/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_pcs_max_export_limit/state |Modbus Register 40042 ||
| PCSMaxImportLimit | 10s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_pcs_max_import_limit/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_pcs_max_import_limit/state |Modbus Register 40044 ||
| PlantDailyChargeEnergy | 15s | kWh | 100 | sigenergy2mqtt/sigen_0_daily_charge_energy/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_daily_charge_energy/state |&sum; of DailyChargeEnergy across all Inverters associated with the Plant||
| PlantDailyDischargeEnergy | 15s | kWh | 100 | sigenergy2mqtt/sigen_0_daily_discharge_energy/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_daily_discharge_energy/state |&sum; of DailyDischargeEnergy across all Inverters associated with the Plant||
| PlantAccumulatedChargeEnergy | 15s | kWh | 100 | sigenergy2mqtt/sigen_0_accumulated_charge_energy/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_accumulated_charge_energy/state |&sum; of AccumulatedChargeEnergy across all Inverters associated with the Plant||
| PlantAccumulatedDischargeEnergy | 15s | kWh | 100 | sigenergy2mqtt/sigen_0_accumulated_discharge_energy/state <br/> homeassistant/sensor/sigen_0_247_powerplant/sigen_0_accumulated_discharge_energy/state |&sum; of AccumulatedDischargeEnergy across all Inverters associated with the Plant||

#### Grid Sensor
| Sensor Class | Interval | Unit | Gain | State Topic | Source | Applicable To |
|--------------|---------:|------|-----:|-------------|--------|---------------|
| GridSensorStatus | 10s |  | 1 | sigenergy2mqtt/sigen_0_plant_grid_sensor_status/state <br/> homeassistant/sensor/sigen_0_247_gridsensor/sigen_0_plant_grid_sensor_status/state |Modbus Register 30004 ||
| GridSensorActivePower | 5s | W | 1 | sigenergy2mqtt/sigen_0_plant_grid_sensor_active_power/state <br/> homeassistant/sensor/sigen_0_247_gridsensor/sigen_0_plant_grid_sensor_active_power/state |Modbus Register 30005 ||
| GridSensorExportPower || W | 1 | sigenergy2mqtt/sigen_0_grid_sensor_export_power/state <br/> homeassistant/sensor/sigen_0_247_gridsensor/sigen_0_grid_sensor_export_power/state |GridSensorActivePower &lt; 0 &times; -1||
| GridSensorLifetimeExportEnergy || kWh | 1000 | sigenergy2mqtt/sigen_0_grid_sensor_lifetime_export_energy/state <br/> homeassistant/sensor/sigen_0_247_gridsensor/sigen_0_grid_sensor_lifetime_export_energy/state |Riemann &sum; of GridSensorExportPower||
| GridSensorDailyExportEnergy || kWh | 1000 | sigenergy2mqtt/sigen_0_grid_sensor_daily_export_energy/state <br/> homeassistant/sensor/sigen_0_247_gridsensor/sigen_0_grid_sensor_daily_export_energy/state |GridSensorLifetimeExportEnergy &minus; GridSensorLifetimeExportEnergy at last midnight||
| GridSensorImportPower || W | 1 | sigenergy2mqtt/sigen_0_grid_sensor_import_power/state <br/> homeassistant/sensor/sigen_0_247_gridsensor/sigen_0_grid_sensor_import_power/state |GridSensorActivePower &gt; 0||
| GridSensorLifetimeImportEnergy || kWh | 1000 | sigenergy2mqtt/sigen_0_grid_sensor_lifetime_import_energy/state <br/> homeassistant/sensor/sigen_0_247_gridsensor/sigen_0_grid_sensor_lifetime_import_energy/state |Riemann &sum; of GridSensorImportPower||
| GridSensorDailyImportEnergy || kWh | 1000 | sigenergy2mqtt/sigen_0_grid_sensor_daily_import_energy/state <br/> homeassistant/sensor/sigen_0_247_gridsensor/sigen_0_grid_sensor_daily_import_energy/state |GridSensorLifetimeImportEnergy &minus; GridSensorLifetimeImportEnergy at last midnight||
| GridSensorReactivePower | 10s | var | 1 | sigenergy2mqtt/sigen_0_plant_grid_sensor_reactive_power/state <br/> homeassistant/sensor/sigen_0_247_gridsensor/sigen_0_plant_grid_sensor_reactive_power/state |Modbus Register 30007 ||
| GridPhaseAActivePower | 10s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_grid_phase_a_active_power/state <br/> homeassistant/sensor/sigen_0_247_gridsensor/sigen_0_plant_grid_phase_a_active_power/state |Modbus Register 30052 ||
| GridPhaseAReactivePower | 10s | kvar | 1000 | sigenergy2mqtt/sigen_0_plant_grid_phase_a_reactive_power/state <br/> homeassistant/sensor/sigen_0_247_gridsensor/sigen_0_plant_grid_phase_a_reactive_power/state |Modbus Register 30058 ||
| GridPhaseBActivePower | 10s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_grid_phase_b_active_power/state <br/> homeassistant/sensor/sigen_0_247_gridsensor/sigen_0_plant_grid_phase_b_active_power/state |Modbus Register 30054 ||
| GridPhaseBReactivePower | 10s | kvar | 1000 | sigenergy2mqtt/sigen_0_plant_grid_phase_b_reactive_power/state <br/> homeassistant/sensor/sigen_0_247_gridsensor/sigen_0_plant_grid_phase_b_reactive_power/state |Modbus Register 30060 ||
| GridPhaseCActivePower | 10s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_grid_phase_c_active_power/state <br/> homeassistant/sensor/sigen_0_247_gridsensor/sigen_0_plant_grid_phase_c_active_power/state |Modbus Register 30056 ||
| GridPhaseCReactivePower | 10s | kvar | 1000 | sigenergy2mqtt/sigen_0_plant_grid_phase_c_reactive_power/state <br/> homeassistant/sensor/sigen_0_247_gridsensor/sigen_0_plant_grid_phase_c_reactive_power/state |Modbus Register 30062 ||
| GridStatus | 10s |  | 1 | sigenergy2mqtt/sigen_0_plant_grid_status/state <br/> homeassistant/sensor/sigen_0_247_gridsensor/sigen_0_plant_grid_status/state |Modbus Register 30009 ||

#### Smart-Port
| Sensor Class | Interval | Unit | Gain | State Topic | Source | Applicable To |
|--------------|---------:|------|-----:|-------------|--------|---------------|
| EnphasePVPower | 5s | W | 1 | sigenergy2mqtt/sigen_0_enphase_123456789012_active_power/state <br/> homeassistant/sensor/sigen_0_enphase_envoy_123456789012/sigen_0_enphase_123456789012_active_power/state |Enphase Envoy API||
| EnphaseLifetimePVEnergy || kWh | 1000 | sigenergy2mqtt/sigen_0_enphase_123456789012_lifetime_pv_energy/state <br/> homeassistant/sensor/sigen_0_enphase_envoy_123456789012/sigen_0_enphase_123456789012_lifetime_pv_energy/state |Enphase Envoy API when EnphasePVPower derived||
| EnphaseDailyPVEnergy || kWh | 1000 | sigenergy2mqtt/sigen_0_enphase_123456789012_daily_pv_energy/state <br/> homeassistant/sensor/sigen_0_enphase_envoy_123456789012/sigen_0_enphase_123456789012_daily_pv_energy/state |Enphase Envoy API when EnphasePVPower derived||
| EnphaseCurrent || A | 1 | sigenergy2mqtt/sigen_0_enphase_123456789012_current/state <br/> homeassistant/sensor/sigen_0_enphase_envoy_123456789012/sigen_0_enphase_123456789012_current/state |Enphase Envoy API when EnphasePVPower derived||
| EnphaseFrequency || Hz | 1 | sigenergy2mqtt/sigen_0_enphase_123456789012_frequency/state <br/> homeassistant/sensor/sigen_0_enphase_envoy_123456789012/sigen_0_enphase_123456789012_frequency/state |Enphase Envoy API when EnphasePVPower derived||
| EnphasePowerFactor ||  | 1 | sigenergy2mqtt/sigen_0_enphase_123456789012_power_factor/state <br/> homeassistant/sensor/sigen_0_enphase_envoy_123456789012/sigen_0_enphase_123456789012_power_factor/state |Enphase Envoy API when EnphasePVPower derived||
| EnphaseReactivePower || kvar | 1000 | sigenergy2mqtt/sigen_0_enphase_123456789012_reactive_power/state <br/> homeassistant/sensor/sigen_0_enphase_envoy_123456789012/sigen_0_enphase_123456789012_reactive_power/state |Enphase Envoy API when EnphasePVPower derived||
| EnphaseVoltage || V | 1 | sigenergy2mqtt/sigen_0_enphase_123456789012_voltage/state <br/> homeassistant/sensor/sigen_0_enphase_envoy_123456789012/sigen_0_enphase_123456789012_voltage/state |Enphase Envoy API when EnphasePVPower derived||

### Inverter
| Sensor Class | Interval | Unit | Gain | State Topic | Source | Applicable To |
|--------------|---------:|------|-----:|-------------|--------|---------------|
| InverterFirmwareVersion | 600s |  |  | sigenergy2mqtt/sigen_0_inverter_1_firmware_version/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_firmware_version/state |Modbus Register 30525 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| RatedActivePower | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_inverter_1_rated_active_power/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_rated_active_power/state |Modbus Register 30540 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| MaxRatedApparentPower | 600s | kVA | 1000 | sigenergy2mqtt/sigen_0_inverter_1_max_rated_apparent_power/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_max_rated_apparent_power/state |Modbus Register 30542 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| InverterMaxActivePower | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_inverter_1_max_active_power/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_max_active_power/state |Modbus Register 30544 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| MaxAbsorptionPower | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_inverter_1_max_absorption_power/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_max_absorption_power/state |Modbus Register 30546 | Hybrid&nbsp;Inverter |
| DailyExportEnergy | 10s | kWh | 100 | sigenergy2mqtt/sigen_0_inverter_1_daily_export_energy/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_daily_export_energy/state |Modbus Register 30554 | Hybrid&nbsp;Inverter |
| AccumulatedExportEnergy | 10s | kWh | 100 | sigenergy2mqtt/sigen_0_inverter_1_accumulated_export_energy/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_accumulated_export_energy/state |Modbus Register 30556 | Hybrid&nbsp;Inverter |
| DailyImportEnergy | 10s | kWh | 100 | sigenergy2mqtt/sigen_0_inverter_1_daily_import_energy/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_daily_import_energy/state |Modbus Register 30560 | Hybrid&nbsp;Inverter |
| AccumulatedImportEnergy | 10s | kWh | 100 | sigenergy2mqtt/sigen_0_inverter_1_accumulated_import_energy/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_accumulated_import_energy/state |Modbus Register 30562 | Hybrid&nbsp;Inverter |
| InverterRunningState | 10s |  | 1 | sigenergy2mqtt/sigen_0_inverter_1_running_state/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_running_state/state |Modbus Register 30578 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| MaxActivePowerAdjustment | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_inverter_1_max_active_power_adjustment/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_max_active_power_adjustment/state |Modbus Register 30579 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| MinActivePowerAdjustment | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_inverter_1_min_active_power_adjustment/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_min_active_power_adjustment/state |Modbus Register 30581 | Hybrid&nbsp;Inverter |
| MaxReactivePowerAdjustment | 600s | kvar | 1000 | sigenergy2mqtt/sigen_0_inverter_1_max_reactive_power_adjustment/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_max_reactive_power_adjustment/state |Modbus Register 30583 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| MinReactivePowerAdjustment | 600s | kvar | 1000 | sigenergy2mqtt/sigen_0_inverter_1_min_reactive_power_adjustment/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_min_reactive_power_adjustment/state |Modbus Register 30585 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| ActivePower | 5s | kW | 1000 | sigenergy2mqtt/sigen_0_inverter_1_active_power/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_active_power/state |Modbus Register 30587 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| ReactivePower | 10s | kvar | 1000 | sigenergy2mqtt/sigen_0_inverter_1_reactive_power/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_reactive_power/state |Modbus Register 30589 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| InverterPCSAlarm | 10s |  | 1 | sigenergy2mqtt/sigen_0_inverter_1_pcs_alarm/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_pcs_alarm/state |Modbus Registers 30605 and 30606| Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| InverterAlarm4 | 10s |  | 1 | sigenergy2mqtt/sigen_0_inverter_1_alarm_4/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_alarm_4/state |Modbus Register 30608 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| RatedGridVoltage | 600s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_rated_grid_voltage/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_rated_grid_voltage/state |Modbus Register 31000 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| RatedGridFrequency | 600s | Hz | 100 | sigenergy2mqtt/sigen_0_inverter_1_rated_grid_frequency/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_rated_grid_frequency/state |Modbus Register 31001 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| GridFrequency | 10s | Hz | 100 | sigenergy2mqtt/sigen_0_inverter_1_grid_frequency/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_grid_frequency/state |Modbus Register 31002 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| InverterTemperature | 60s | °C | 10 | sigenergy2mqtt/sigen_0_inverter_1_temperature/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_temperature/state |Modbus Register 31003 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| OutputType | 600s |  | 1 | sigenergy2mqtt/sigen_0_inverter_1_output_type/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_output_type/state |Modbus Register 31004 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PhaseAVoltage | 60s | V | 100 | sigenergy2mqtt/sigen_0_inverter_1_phase_a_voltage/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_phase_a_voltage/state |Modbus Register 31011 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PhaseACurrent | 60s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_phase_a_current/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_phase_a_current/state |Modbus Register 31017 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PhaseBVoltage | 60s | V | 100 | sigenergy2mqtt/sigen_0_inverter_1_phase_b_voltage/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_phase_b_voltage/state |Modbus Register 31013 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PhaseCVoltage | 60s | V | 100 | sigenergy2mqtt/sigen_0_inverter_1_phase_c_voltage/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_phase_c_voltage/state |Modbus Register 31015 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PhaseBCurrent | 60s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_phase_b_current/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_phase_b_current/state |Modbus Register 31019 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PhaseCCurrent | 60s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_phase_c_current/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_phase_c_current/state |Modbus Register 31021 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| ABLineVoltage | 60s | V | 100 | sigenergy2mqtt/sigen_0_inverter_1_a_b_line_voltage/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_a_b_line_voltage/state |Modbus Register 31005 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| BCLineVoltage | 60s | V | 100 | sigenergy2mqtt/sigen_0_inverter_1_b_c_line_voltage/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_b_c_line_voltage/state |Modbus Register 31007 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| CALineVoltage | 60s | V | 100 | sigenergy2mqtt/sigen_0_inverter_1_c_a_line_voltage/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_c_a_line_voltage/state |Modbus Register 31009 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PowerFactor | 10s |  | 1000 | sigenergy2mqtt/sigen_0_inverter_1_power_factor/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_power_factor/state |Modbus Register 31023 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PACKBCUCount | 60s |  | 1 | sigenergy2mqtt/sigen_0_inverter_1_pack_bcu_count/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_pack_bcu_count/state |Modbus Register 31024 | Hybrid&nbsp;Inverter |
| MPTTCount | 600s |  | 1 | sigenergy2mqtt/sigen_0_inverter_1_mptt_count/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_mptt_count/state |Modbus Register 31026 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVStringCount | 600s |  | 1 | sigenergy2mqtt/sigen_0_inverter_1_pv_string_count/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_pv_string_count/state |Modbus Register 31025 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| InverterPVPower | 10s | W | 1 | sigenergy2mqtt/sigen_0_inverter_1_pv_power/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_pv_power/state |Modbus Register 31035 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| InverterLifetimePVEnergy || kWh | 1000 | sigenergy2mqtt/sigen_0_inverter_1_lifetime_pv_energy/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_lifetime_pv_energy/state |Riemann &sum; of InverterPVPower||
| InverterDailyPVEnergy || kWh | 1000 | sigenergy2mqtt/sigen_0_inverter_1_daily_pv_energy/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_daily_pv_energy/state |InverterLifetimePVEnergy &minus; InverterLifetimePVEnergy at last midnight||
| InsulationResistance | 60s | MΩ | 1000 | sigenergy2mqtt/sigen_0_inverter_1_insulation_resistance/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_insulation_resistance/state |Modbus Register 31037 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| StartupTime | 600s |  | 1 | sigenergy2mqtt/sigen_0_inverter_1_startup_time/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_startup_time/state |Modbus Register 31038 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| ShutdownTime | 600s |  | 1 | sigenergy2mqtt/sigen_0_inverter_1_shutdown_time/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_shutdown_time/state |Modbus Register 31040 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| GridCode | 60s |  | 1 | sigenergy2mqtt/sigen_0_inverter_1_grid_code/state <br/> homeassistant/sensor/sigen_0_001_inverter/sigen_0_inverter_1_grid_code/state |Modbus Register 40501 | Hybrid&nbsp;Inverter |
| InverterRemoteEMSDispatch | 10s |  | 1 | sigenergy2mqtt/sigen_0_inverter_1_remote_ems_dispatch/state <br/> homeassistant/switch/sigen_0_001_inverter/sigen_0_inverter_1_remote_ems_dispatch/state |Modbus Register 41500 | PV&nbsp;Inverter |
| InverterActivePowerFixedValueAdjustment | 60s | kW | 1000 | sigenergy2mqtt/sigen_0_inverter_1_active_power_fixed_value_adjustment/state <br/> homeassistant/number/sigen_0_001_inverter/sigen_0_inverter_1_active_power_fixed_value_adjustment/state |Modbus Register 41501 | PV&nbsp;Inverter |
| InverterReactivePowerFixedValueAdjustment | 60s | kvar | 1000 | sigenergy2mqtt/sigen_0_inverter_1_reactive_power_fixed_value_adjustment/state <br/> homeassistant/number/sigen_0_001_inverter/sigen_0_inverter_1_reactive_power_fixed_value_adjustment/state |Modbus Register 41503 | PV&nbsp;Inverter |
| InverterActivePowerPercentageAdjustment | 60s | % | 100 | sigenergy2mqtt/sigen_0_inverter_1_active_power_percentage_adjustment/state <br/> homeassistant/number/sigen_0_001_inverter/sigen_0_inverter_1_active_power_percentage_adjustment/state |Modbus Register 41505 | PV&nbsp;Inverter |
| InverterReactivePowerQSAdjustment | 60s | % | 100 | sigenergy2mqtt/sigen_0_inverter_1_reactive_power_q_s_adjustment/state <br/> homeassistant/number/sigen_0_001_inverter/sigen_0_inverter_1_reactive_power_q_s_adjustment/state |Modbus Register 41506 | PV&nbsp;Inverter |
| InverterPowerFactorAdjustment | 60s |  | 1000 | sigenergy2mqtt/sigen_0_inverter_1_power_factor_adjustment/state <br/> homeassistant/number/sigen_0_001_inverter/sigen_0_inverter_1_power_factor_adjustment/state |Modbus Register 41507 | PV&nbsp;Inverter |

#### Energy Storage System
| Sensor Class | Interval | Unit | Gain | State Topic | Source | Applicable To |
|--------------|---------:|------|-----:|-------------|--------|---------------|
| RatedChargingPower | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_inverter_1_rated_charging_power/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_rated_charging_power/state |Modbus Register 30550 | Hybrid&nbsp;Inverter |
| RatedDischargingPower | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_inverter_1_rated_discharging_power/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_rated_discharging_power/state |Modbus Register 30552 | Hybrid&nbsp;Inverter |
| MaxBatteryChargePower | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_inverter_1_max_battery_charge_power/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_max_battery_charge_power/state |Modbus Register 30591 | Hybrid&nbsp;Inverter |
| MaxBatteryDischargePower | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_inverter_1_max_battery_discharge_power/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_max_battery_discharge_power/state |Modbus Register 30593 | Hybrid&nbsp;Inverter |
| AvailableBatteryChargeEnergy | 600s | kWh | 100 | sigenergy2mqtt/sigen_0_inverter_1_available_battery_charge_energy/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_available_battery_charge_energy/state |Modbus Register 30595 | Hybrid&nbsp;Inverter |
| AvailableBatteryDischargeEnergy | 600s | kWh | 100 | sigenergy2mqtt/sigen_0_inverter_1_available_battery_discharge_energy/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_available_battery_discharge_energy/state |Modbus Register 30597 | Hybrid&nbsp;Inverter |
| InverterBatterySoC | 60s | % | 10 | sigenergy2mqtt/sigen_0_inverter_1_battery_soc/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_battery_soc/state |Modbus Register 30601 | Hybrid&nbsp;Inverter |
| InverterBatterySoH | 60s | % | 10 | sigenergy2mqtt/sigen_0_inverter_1_battery_soh/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_battery_soh/state |Modbus Register 30602 | Hybrid&nbsp;Inverter |
| AverageCellTemperature | 10s | °C | 10 | sigenergy2mqtt/sigen_0_inverter_1_average_cell_temperature/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_average_cell_temperature/state |Modbus Register 30603 | Hybrid&nbsp;Inverter |
| AverageCellVoltage | 10s | V | 1000 | sigenergy2mqtt/sigen_0_inverter_1_average_cell_voltage/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_average_cell_voltage/state |Modbus Register 30604 | Hybrid&nbsp;Inverter |
| InverterAlarm3 | 10s |  | 1 | sigenergy2mqtt/sigen_0_inverter_1_alarm_3/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_alarm_3/state |Modbus Register 30607 | Hybrid&nbsp;Inverter |
| InverterMaxBatteryTemperature | 60s | °C | 10 | sigenergy2mqtt/sigen_0_inverter_1_max_battery_temperature/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_max_battery_temperature/state |Modbus Register 30620 | Hybrid&nbsp;Inverter |
| InverterMinBatteryTemperature | 60s | °C | 10 | sigenergy2mqtt/sigen_0_inverter_1_min_battery_temperature/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_min_battery_temperature/state |Modbus Register 30621 | Hybrid&nbsp;Inverter |
| InverterMaxCellVoltage | 60s | V | 1000 | sigenergy2mqtt/sigen_0_inverter_1_max_cell_voltage/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_max_cell_voltage/state |Modbus Register 30622 | Hybrid&nbsp;Inverter |
| InverterMinCellVoltage | 60s | V | 1000 | sigenergy2mqtt/sigen_0_inverter_1_min_cell_voltage/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_min_cell_voltage/state |Modbus Register 30623 | Hybrid&nbsp;Inverter |
| DailyChargeEnergy | 10s | kWh | 100 | sigenergy2mqtt/sigen_0_inverter_1_daily_charge_energy/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_daily_charge_energy/state |Modbus Register 30566 | Hybrid&nbsp;Inverter |
| AccumulatedChargeEnergy | 10s | kWh | 100 | sigenergy2mqtt/sigen_0_inverter_1_accumulated_charge_energy/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_accumulated_charge_energy/state |Modbus Register 30568 | Hybrid&nbsp;Inverter |
| DailyDischargeEnergy | 10s | kWh | 100 | sigenergy2mqtt/sigen_0_inverter_1_daily_discharge_energy/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_daily_discharge_energy/state |Modbus Register 30572 | Hybrid&nbsp;Inverter |
| AccumulatedDischargeEnergy | 10s | kWh | 100 | sigenergy2mqtt/sigen_0_inverter_1_accumulated_discharge_energy/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_accumulated_discharge_energy/state |Modbus Register 30574 | Hybrid&nbsp;Inverter |
| RatedBatteryCapacity | 600s | kWh | 100 | sigenergy2mqtt/sigen_0_inverter_1_rated_battery_capacity/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_rated_battery_capacity/state |Modbus Register 30548 | Hybrid&nbsp;Inverter |
| ChargeDischargePower | 5s | W | 1 | sigenergy2mqtt/sigen_0_inverter_1_charge_discharge_power/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_charge_discharge_power/state |Modbus Register 30599 | Hybrid&nbsp;Inverter |
| InverterBatteryChargingPower || W | 1 | sigenergy2mqtt/sigen_0_inverter_1_battery_charging_power/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_battery_charging_power/state |ChargeDischargePower &gt; 0||
| InverterBatteryDischargingPower || W | 1 | sigenergy2mqtt/sigen_0_inverter_1_battery_discharging_power/state <br/> homeassistant/sensor/sigen_0_001_ess/sigen_0_inverter_1_battery_discharging_power/state |ChargeDischargePower &lt; 0 &times; -1||

#### PV String
| Sensor Class | Interval | Unit | Gain | State Topic | Source | Applicable To |
|--------------|---------:|------|-----:|-------------|--------|---------------|
| PVVoltageSensor | 10s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_pv1_voltage/state <br/> homeassistant/sensor/sigen_0_001_pvstring1/sigen_0_inverter_1_pv1_voltage/state |Modbus Register 31027 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVStringPower || W | 1 | sigenergy2mqtt/sigen_0_inverter_1_pv1_power/state <br/> homeassistant/sensor/sigen_0_001_pvstring1/sigen_0_inverter_1_pv1_power/state |PVVoltageSensor &times; PVCurrentSensor||
| PVStringLifetimeEnergy || kWh | 1000 | sigenergy2mqtt/sigen_0_inverter_1_pv1_lifetime_energy/state <br/> homeassistant/sensor/sigen_0_001_pvstring1/sigen_0_inverter_1_pv1_lifetime_energy/state |Riemann &sum; of PVStringPower||
| PVStringDailyEnergy || kWh | 1000 | sigenergy2mqtt/sigen_0_inverter_1_pv1_daily_energy/state <br/> homeassistant/sensor/sigen_0_001_pvstring1/sigen_0_inverter_1_pv1_daily_energy/state |PVStringLifetimeEnergy &minus; PVStringLifetimeEnergy at last midnight||
| PVCurrentSensor | 10s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_pv1_current/state <br/> homeassistant/sensor/sigen_0_001_pvstring1/sigen_0_inverter_1_pv1_current/state |Modbus Register 31028 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVVoltageSensor | 10s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_pv2_voltage/state <br/> homeassistant/sensor/sigen_0_001_pvstring2/sigen_0_inverter_1_pv2_voltage/state |Modbus Register 31029 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVCurrentSensor | 10s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_pv2_current/state <br/> homeassistant/sensor/sigen_0_001_pvstring2/sigen_0_inverter_1_pv2_current/state |Modbus Register 31030 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVVoltageSensor | 10s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_pv3_voltage/state <br/> homeassistant/sensor/sigen_0_001_pvstring3/sigen_0_inverter_1_pv3_voltage/state |Modbus Register 31031 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVCurrentSensor | 10s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_pv3_current/state <br/> homeassistant/sensor/sigen_0_001_pvstring3/sigen_0_inverter_1_pv3_current/state |Modbus Register 31032 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVVoltageSensor | 10s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_pv4_voltage/state <br/> homeassistant/sensor/sigen_0_001_pvstring4/sigen_0_inverter_1_pv4_voltage/state |Modbus Register 31033 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVCurrentSensor | 10s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_pv4_current/state <br/> homeassistant/sensor/sigen_0_001_pvstring4/sigen_0_inverter_1_pv4_current/state |Modbus Register 31034 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVVoltageSensor | 10s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_pv5_voltage/state <br/> homeassistant/sensor/sigen_0_001_pvstring5/sigen_0_inverter_1_pv5_voltage/state |Modbus Register 31042 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVCurrentSensor | 10s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_pv5_current/state <br/> homeassistant/sensor/sigen_0_001_pvstring5/sigen_0_inverter_1_pv5_current/state |Modbus Register 31043 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVVoltageSensor | 10s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_pv6_voltage/state <br/> homeassistant/sensor/sigen_0_001_pvstring6/sigen_0_inverter_1_pv6_voltage/state |Modbus Register 31044 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVCurrentSensor | 10s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_pv6_current/state <br/> homeassistant/sensor/sigen_0_001_pvstring6/sigen_0_inverter_1_pv6_current/state |Modbus Register 31045 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVVoltageSensor | 10s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_pv7_voltage/state <br/> homeassistant/sensor/sigen_0_001_pvstring7/sigen_0_inverter_1_pv7_voltage/state |Modbus Register 31046 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVCurrentSensor | 10s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_pv7_current/state <br/> homeassistant/sensor/sigen_0_001_pvstring7/sigen_0_inverter_1_pv7_current/state |Modbus Register 31047 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVVoltageSensor | 10s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_pv8_voltage/state <br/> homeassistant/sensor/sigen_0_001_pvstring8/sigen_0_inverter_1_pv8_voltage/state |Modbus Register 31048 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVCurrentSensor | 10s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_pv8_current/state <br/> homeassistant/sensor/sigen_0_001_pvstring8/sigen_0_inverter_1_pv8_current/state |Modbus Register 31049 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVVoltageSensor | 10s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_pv9_voltage/state <br/> homeassistant/sensor/sigen_0_001_pvstring9/sigen_0_inverter_1_pv9_voltage/state |Modbus Register 31050 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVCurrentSensor | 10s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_pv9_current/state <br/> homeassistant/sensor/sigen_0_001_pvstring9/sigen_0_inverter_1_pv9_current/state |Modbus Register 31051 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVVoltageSensor | 10s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_pv10_voltage/state <br/> homeassistant/sensor/sigen_0_001_pvstring10/sigen_0_inverter_1_pv10_voltage/state |Modbus Register 31052 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVCurrentSensor | 10s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_pv10_current/state <br/> homeassistant/sensor/sigen_0_001_pvstring10/sigen_0_inverter_1_pv10_current/state |Modbus Register 31053 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVVoltageSensor | 10s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_pv11_voltage/state <br/> homeassistant/sensor/sigen_0_001_pvstring11/sigen_0_inverter_1_pv11_voltage/state |Modbus Register 31054 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVCurrentSensor | 10s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_pv11_current/state <br/> homeassistant/sensor/sigen_0_001_pvstring11/sigen_0_inverter_1_pv11_current/state |Modbus Register 31055 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVVoltageSensor | 10s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_pv12_voltage/state <br/> homeassistant/sensor/sigen_0_001_pvstring12/sigen_0_inverter_1_pv12_voltage/state |Modbus Register 31056 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVCurrentSensor | 10s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_pv12_current/state <br/> homeassistant/sensor/sigen_0_001_pvstring12/sigen_0_inverter_1_pv12_current/state |Modbus Register 31057 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVVoltageSensor | 10s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_pv13_voltage/state <br/> homeassistant/sensor/sigen_0_001_pvstring13/sigen_0_inverter_1_pv13_voltage/state |Modbus Register 31058 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVCurrentSensor | 10s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_pv13_current/state <br/> homeassistant/sensor/sigen_0_001_pvstring13/sigen_0_inverter_1_pv13_current/state |Modbus Register 31059 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVVoltageSensor | 10s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_pv14_voltage/state <br/> homeassistant/sensor/sigen_0_001_pvstring14/sigen_0_inverter_1_pv14_voltage/state |Modbus Register 31060 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVCurrentSensor | 10s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_pv14_current/state <br/> homeassistant/sensor/sigen_0_001_pvstring14/sigen_0_inverter_1_pv14_current/state |Modbus Register 31061 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVVoltageSensor | 10s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_pv15_voltage/state <br/> homeassistant/sensor/sigen_0_001_pvstring15/sigen_0_inverter_1_pv15_voltage/state |Modbus Register 31062 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVCurrentSensor | 10s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_pv15_current/state <br/> homeassistant/sensor/sigen_0_001_pvstring15/sigen_0_inverter_1_pv15_current/state |Modbus Register 31063 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVVoltageSensor | 10s | V | 10 | sigenergy2mqtt/sigen_0_inverter_1_pv16_voltage/state <br/> homeassistant/sensor/sigen_0_001_pvstring16/sigen_0_inverter_1_pv16_voltage/state |Modbus Register 31064 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| PVCurrentSensor | 10s | A | 100 | sigenergy2mqtt/sigen_0_inverter_1_pv16_current/state <br/> homeassistant/sensor/sigen_0_001_pvstring16/sigen_0_inverter_1_pv16_current/state |Modbus Register 31065 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |

### AC Charger
| Sensor Class | Interval | Unit | Gain | State Topic | Source | Applicable To |
|--------------|---------:|------|-----:|-------------|--------|---------------|
| ACChargerRunningState | 10s |  | 1 | sigenergy2mqtt/sigen_0_ac_charger_3_running_state/state <br/> homeassistant/sensor/sigen_0_003_accharger/sigen_0_ac_charger_3_running_state/state |Modbus Register 32000 ||
| ACChargerTotalEnergyConsumed | 10s | kWh | 100 | sigenergy2mqtt/sigen_0_ac_charger_3_total_energy_consumed/state <br/> homeassistant/sensor/sigen_0_003_accharger/sigen_0_ac_charger_3_total_energy_consumed/state |Modbus Register 32001 ||
| ACChargerChargingPower | 10s | kW | 1000 | sigenergy2mqtt/sigen_0_ac_charger_3_rated_charging_power/state <br/> homeassistant/sensor/sigen_0_003_accharger/sigen_0_ac_charger_3_rated_charging_power/state |Modbus Register 32003 ||
| ACChargerRatedPower | 600s | kW | 1000 | sigenergy2mqtt/sigen_0_ac_charger_3_rated_power/state <br/> homeassistant/sensor/sigen_0_003_accharger/sigen_0_ac_charger_3_rated_power/state |Modbus Register 32005 ||
| ACChargerInputBreaker | 600s | A | 100 | sigenergy2mqtt/sigen_0_ac_charger_3_input_breaker/state <br/> homeassistant/sensor/sigen_0_003_accharger/sigen_0_ac_charger_3_input_breaker/state |Modbus Register 32010 ||
| ACChargerRatedVoltage | 600s | V | 10 | sigenergy2mqtt/sigen_0_ac_charger_3_rated_voltage/state <br/> homeassistant/sensor/sigen_0_003_accharger/sigen_0_ac_charger_3_rated_voltage/state |Modbus Register 32009 ||
| ACChargerRatedCurrent | 600s | A | 100 | sigenergy2mqtt/sigen_0_ac_charger_3_rated_current/state <br/> homeassistant/sensor/sigen_0_003_accharger/sigen_0_ac_charger_3_rated_current/state |Modbus Register 32007 ||
| ACChargerAlarms | 10s |  | 1 | sigenergy2mqtt/sigen_0_ac_charger_3_alarm/state <br/> homeassistant/sensor/sigen_0_003_accharger/sigen_0_ac_charger_3_alarm/state |Modbus Registers 32012, 32013, and 32014||
| ACChargerOutputCurrent | 60s | A | 100 | sigenergy2mqtt/sigen_0_ac_charger_3_output_current/state <br/> homeassistant/number/sigen_0_003_accharger/sigen_0_ac_charger_3_output_current/state |Modbus Register 42001 ||

### DC Charger
| Sensor Class | Interval | Unit | Gain | State Topic | Source | Applicable To |
|--------------|---------:|------|-----:|-------------|--------|---------------|
| DCChargerOutputPower | 10s | kW | 1000 | sigenergy2mqtt/sigen_0_plant_dc_charger_output_power/state <br/> homeassistant/sensor/sigen_0_002_dccharger/sigen_0_plant_dc_charger_output_power/state |Modbus Register 31502 ||
| DCChargerCurrentChargingCapacity | 600s | kWh | 100 | sigenergy2mqtt/sigen_0_plant_dc_charger_current_charging_capacity/state <br/> homeassistant/sensor/sigen_0_002_dccharger/sigen_0_plant_dc_charger_current_charging_capacity/state |Modbus Register 31505 ||
| DCChargerCurrentChargingDuration | 600s | s | 1 | sigenergy2mqtt/sigen_0_plant_dc_charger_current_charging_duration/state <br/> homeassistant/sensor/sigen_0_002_dccharger/sigen_0_plant_dc_charger_current_charging_duration/state |Modbus Register 31507 ||
| VehicleBatteryVoltage | 10s | V | 10 | sigenergy2mqtt/sigen_0_plant_vehicle_battery_voltage/state <br/> homeassistant/sensor/sigen_0_002_dccharger/sigen_0_plant_vehicle_battery_voltage/state |Modbus Register 31500 ||
| VehicleChargingCurrent | 10s | A | 10 | sigenergy2mqtt/sigen_0_plant_vehicle_charging_current/state <br/> homeassistant/sensor/sigen_0_002_dccharger/sigen_0_plant_vehicle_charging_current/state |Modbus Register 31501 ||
| VehicleSoC | 60s | % | 10 | sigenergy2mqtt/sigen_0_plant_vehicle_soc/state <br/> homeassistant/sensor/sigen_0_002_dccharger/sigen_0_plant_vehicle_soc/state |Modbus Register 31504 ||
| InverterAlarm5 | 10s |  | 1 | sigenergy2mqtt/sigen_0_inverter_2_alarm_5/state <br/> homeassistant/sensor/sigen_0_002_dccharger/sigen_0_inverter_2_alarm_5/state |Modbus Register 30609 ||

## Subscribed Topics

### Plant
| Sensor Class | Command Topic | Target | Applicable To |
|--------------|---------------|--------|---------------|
| RemoteEMS | sigenergy2mqtt/sigen_0_plant_remote_ems/state <br/> homeassistant/switch/sigen_0_247_powerplant/sigen_0_plant_remote_ems/state | Modbus Register 40029 ||
| RemoteEMSControlMode | sigenergy2mqtt/sigen_0_plant_remote_ems_control_mode/state <br/> homeassistant/select/sigen_0_247_powerplant/sigen_0_plant_remote_ems_control_mode/state | Modbus Register 40031 ||
| ActivePowerFixedAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_active_power_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_active_power_fixed_adjustment_target_value/state | Modbus Register 40001 ||
| ReactivePowerFixedAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_reactive_power_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_reactive_power_fixed_adjustment_target_value/state | Modbus Register 40003 ||
| ActivePowerPercentageAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_active_power_percentage_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_active_power_percentage_adjustment_target_value/state | Modbus Register 40005 ||
| QSAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_q_s_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_q_s_adjustment_target_value/state | Modbus Register 40006 ||
| PowerFactorAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_power_factor_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_power_factor_adjustment_target_value/state | Modbus Register 40007 ||
| PhaseAActivePowerFixedAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_phase_a_active_power_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_a_active_power_fixed_adjustment_target_value/state | Modbus Register 40008 ||
| PhaseAReactivePowerFixedAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_phase_a_reactive_power_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_a_reactive_power_fixed_adjustment_target_value/state | Modbus Register 40014 ||
| PhaseAActivePowerPercentageAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_phase_a_active_power_percentage_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_a_active_power_percentage_adjustment_target_value/state | Modbus Register 40020 ||
| PhaseAQSAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_phase_a_q_s_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_a_q_s_fixed_adjustment_target_value/state | Modbus Register 40023 ||
| PhaseBActivePowerFixedAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_phase_b_active_power_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_b_active_power_fixed_adjustment_target_value/state | Modbus Register 40010 ||
| PhaseBReactivePowerFixedAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_phase_b_reactive_power_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_b_reactive_power_fixed_adjustment_target_value/state | Modbus Register 40016 ||
| PhaseBActivePowerPercentageAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_phase_b_active_power_percentage_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_b_active_power_percentage_adjustment_target_value/state | Modbus Register 40021 ||
| PhaseBQSAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_phase_b_q_s_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_b_q_s_fixed_adjustment_target_value/state | Modbus Register 40024 ||
| PhaseCActivePowerFixedAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_phase_c_active_power_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_c_active_power_fixed_adjustment_target_value/state | Modbus Register 40012 ||
| PhaseCReactivePowerFixedAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_phase_c_reactive_power_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_c_reactive_power_fixed_adjustment_target_value/state | Modbus Register 40018 ||
| PhaseCActivePowerPercentageAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_phase_c_active_power_percentage_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_c_active_power_percentage_adjustment_target_value/state | Modbus Register 40022 ||
| PhaseCQSAdjustmentTargetValue | sigenergy2mqtt/sigen_0_plant_phase_c_q_s_fixed_adjustment_target_value/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_phase_c_q_s_fixed_adjustment_target_value/state | Modbus Register 40025 ||
| IndependentPhasePowerControl | sigenergy2mqtt/sigen_0_plant_independent_phase_power_control/state <br/> homeassistant/switch/sigen_0_247_powerplant/sigen_0_plant_independent_phase_power_control/state | Modbus Register 40030 ||
| MaxChargingLimit | sigenergy2mqtt/sigen_0_plant_max_charging_limit/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_max_charging_limit/state | Modbus Register 40032 ||
| MaxDischargingLimit | sigenergy2mqtt/sigen_0_plant_max_discharging_limit/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_max_discharging_limit/state | Modbus Register 40034 ||
| PVMaxPowerLimit | sigenergy2mqtt/sigen_0_plant_pv_max_power_limit/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_pv_max_power_limit/state | Modbus Register 40036 ||
| GridMaxExportLimit | sigenergy2mqtt/sigen_0_plant_grid_max_export_limit/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_grid_max_export_limit/state | Modbus Register 40038 ||
| GridMaxImportLimit | sigenergy2mqtt/sigen_0_plant_grid_max_import_limit/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_grid_max_import_limit/state | Modbus Register 40040 ||
| PCSMaxExportLimit | sigenergy2mqtt/sigen_0_plant_pcs_max_export_limit/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_pcs_max_export_limit/state | Modbus Register 40042 ||
| PCSMaxImportLimit | sigenergy2mqtt/sigen_0_plant_pcs_max_import_limit/state <br/> homeassistant/number/sigen_0_247_powerplant/sigen_0_plant_pcs_max_import_limit/state | Modbus Register 40044 ||
| PlantStatus | sigenergy2mqtt/sigen_0_plant_status/state <br/> homeassistant/button/sigen_0_247_powerplant/sigen_0_plant_status/state | Modbus Register 40000 ||

### Inverter
| Sensor Class | Command Topic | Target | Applicable To |
|--------------|---------------|--------|---------------|
| InverterStatus | sigenergy2mqtt/sigen_0_inverter_1_status/state <br/> homeassistant/button/sigen_0_001_inverter/sigen_0_inverter_1_status/state | Modbus Register 40500 | Hybrid&nbsp;Inverter <br/> PV&nbsp;Inverter |
| InverterRemoteEMSDispatch | sigenergy2mqtt/sigen_0_inverter_1_remote_ems_dispatch/state <br/> homeassistant/switch/sigen_0_001_inverter/sigen_0_inverter_1_remote_ems_dispatch/state | Modbus Register 41500 | PV&nbsp;Inverter |
| InverterActivePowerFixedValueAdjustment | sigenergy2mqtt/sigen_0_inverter_1_active_power_fixed_value_adjustment/state <br/> homeassistant/number/sigen_0_001_inverter/sigen_0_inverter_1_active_power_fixed_value_adjustment/state | Modbus Register 41501 | PV&nbsp;Inverter |
| InverterReactivePowerFixedValueAdjustment | sigenergy2mqtt/sigen_0_inverter_1_reactive_power_fixed_value_adjustment/state <br/> homeassistant/number/sigen_0_001_inverter/sigen_0_inverter_1_reactive_power_fixed_value_adjustment/state | Modbus Register 41503 | PV&nbsp;Inverter |
| InverterActivePowerPercentageAdjustment | sigenergy2mqtt/sigen_0_inverter_1_active_power_percentage_adjustment/state <br/> homeassistant/number/sigen_0_001_inverter/sigen_0_inverter_1_active_power_percentage_adjustment/state | Modbus Register 41505 | PV&nbsp;Inverter |
| InverterReactivePowerQSAdjustment | sigenergy2mqtt/sigen_0_inverter_1_reactive_power_q_s_adjustment/state <br/> homeassistant/number/sigen_0_001_inverter/sigen_0_inverter_1_reactive_power_q_s_adjustment/state | Modbus Register 41506 | PV&nbsp;Inverter |
| InverterPowerFactorAdjustment | sigenergy2mqtt/sigen_0_inverter_1_power_factor_adjustment/state <br/> homeassistant/number/sigen_0_001_inverter/sigen_0_inverter_1_power_factor_adjustment/state | Modbus Register 41507 | PV&nbsp;Inverter |

### AC Charger
| Sensor Class | Command Topic | Target | Applicable To |
|--------------|---------------|--------|---------------|
| ACChargerOutputCurrent | sigenergy2mqtt/sigen_0_ac_charger_3_output_current/state <br/> homeassistant/number/sigen_0_003_accharger/sigen_0_ac_charger_3_output_current/state | Modbus Register 42001 ||
| ACChargerStatus | sigenergy2mqtt/sigen_0_ac_charger_3_status/state <br/> homeassistant/button/sigen_0_003_accharger/sigen_0_ac_charger_3_status/state | Modbus Register 42000 ||

### DC Charger
| Sensor Class | Command Topic | Target | Applicable To |
|--------------|---------------|--------|---------------|
| DCChargerStatus | sigenergy2mqtt/sigen_0_dc_charger_2_status/state <br/> homeassistant/button/sigen_0_002_dccharger/sigen_0_dc_charger_2_status/state | Modbus Register 41000 ||
